Bug 5823 - Roadmap bug for GS-CA 1.0.0
: Roadmap bug for GS-CA 1.0.0
Status: CLOSED FIXED
: GridShib
Roadmap
: unspecified
: All All
: P3 normal
: 1.0.0
Assigned To:
: http://docs.google.com/Doc?docid=0AaM...
:
: 4917 5298 5847 5848 5861 5878 6129 6336 6718 6719 6775 6776 6778 6779 6781 6802
:
  Show dependency treegraph
 
Reported: 2008-02-02 11:00 by
Modified: 2009-08-26 22:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-02 11:00:02
No timeline for 0.6.0, but here are some features I think should be included:
* Find an alternative to the current umask requirement (address Bug 5298)
* Allow for customization of GS-CA look and feel. I think this has two
components:
** First, use CSS in the GS-CA output, pointing to a CSS file that can be
modified locally by the deployer.
** Second, improve the current collection of CGI scripts with a centralized web
app of some sort. I'm currently considering either something like Mason
(www.masonhq.com) or just a simple approach based on Text::Template. The main
idea is that all output goes through a common script/app to make consistency
easier.
* Clean up the JWS application java code. It's organically grown into a mess.
* Allow for a testing mode that doesn't require deployment in Shibboleth SP to
make development debugging faster. I think the easiest way to do this is define
a class that represents a Shibboleth interface and then have a subclass that
just returns dummy values.
* Find a way of automatically testing the web interface, perhaps using
HTTP::Recorder.
------- Comment #1 From 2008-02-02 11:35:20 -------
What about the UI enhancement outlined in Bug 5792?  The latter doesn't really
fall under the "look and feel" customizations suggested above, it's more of an
altered process flow with usability consequences.
------- Comment #2 From 2008-02-02 22:23:43 -------
(In reply to comment #1)
> What about the UI enhancement outlined in Bug 5792?  The latter doesn't really
> fall under the "look and feel" customizations suggested above, it's more of an
> altered process flow with usability consequences.

I agree it should be on the list.
------- Comment #3 From 2008-02-05 18:53:37 -------
Created individual bugs for all the items and made this big dependent on them.
------- Comment #4 From 2009-04-21 21:09:25 -------
Suspect this may be too much stuff for 6.0 and may need to prune back, but will
see how it goes.
------- Comment #5 From 2009-07-31 22:16:26 -------
This will now be release 1.0.0, focused on minor bugs and problems. Number of
things moved to 2.0.0 (Bug 6808) on Roadmap.
------- Comment #6 From 2009-08-01 17:39:56 -------
Added Bug 6802 which go.teragrid.org cares about.
------- Comment #7 From 2009-08-02 21:10:30 -------
Added other bugs from 6779 to as dependencies for this bug.
------- Comment #8 From 2009-08-17 22:58:28 -------
RC1 is available:
http://gridshib.globus.org/downloads/gridshib-ca-1-0-0-rc1.tar.gz
------- Comment #9 From 2009-08-24 22:15:37 -------
Released: http://gridshib.globus.org/download.html#gridshib-ca